apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: kong
    konghq.com/plugins: "kong-jwt,cors-global-plugin"
  name: pin-om-gateway-dev
  namespace: pin-om-dev  
spec:
  tls:
    - hosts:
      - dev-pin-om-gateway.mypinmall.com
      secretName: front-tls-dev
  rules:
  - host: dev-pin-om-gateway.mypinmall.com
    http:
      paths:
      - path: /order-management/ocr
        pathType: ImplementationSpecific
        backend:
          service:
            name: pin-om-ocr-service
            port:
              number: 8080
      - path: /
        pathType: ImplementationSpecific
        backend:
          service:
            name: pin-om-order-management-service
            port:
              number: 8080